export declare type EosioAuthorizationObject = {
    actor: string;
    permission: string;
};
export declare type EosioActionObject = {
    account: string;
    name: string;
    authorization: EosioAuthorizationObject[];
    data: any;
};
export declare class ActionGenerator {
    readonly contract: string;
    readonly pools_contract: string;
    constructor(contract: string, pools_contract: string);
    open(authorization: EosioAuthorizationObject[], owner: string, symbol: string, payer: string): Promise<EosioActionObject[]>;
    close(authorization: EosioAuthorizationObject[], owner: string, symbol: string): Promise<EosioActionObject[]>;
    unlock(authorization: EosioAuthorizationObject[], from: string, id: number): Promise<EosioActionObject[]>;
    lockTokens(authorization: EosioAuthorizationObject[], from: string, quantity: string): Promise<EosioActionObject[]>;
    protected _pack(account: string, authorization: EosioAuthorizationObject[], name: string, data: any): EosioActionObject[];
}
